import {ErrorWithContext, HTTPStatus, HTTPMessage} from "@extollo/util"

export class HTTPError extends ErrorWithContext {
    constructor(
        public readonly status: HTTPStatus = 500,
        public readonly message: string = ''
    ) {
        super('HTTP ERROR')
        this.message = message || HTTPMessage[status]
    }
}
