import {AppClass} from "../../lifecycle/AppClass"
import {Request} from "../lifecycle/Request"
import {ResponseObject} from "./Route"

export abstract class Middleware extends AppClass {
    constructor(
        protected readonly request: Request
    ) { super() }

    protected container() {
        return this.request
    }

    // Return void | Promise<void> to continue request
    public abstract apply(): ResponseObject
}
