import {AppClass} from './AppClass';

export enum UnitStatus {
    Starting,
    Started,
    Stopping,
    Stopped,
    Error,
}

export abstract class Unit extends AppClass {
    public status: UnitStatus = UnitStatus.Stopped
    public up(): Promise<void> | void {}
    public down(): Promise<void> | void {}
}
